## python-botocore 0.29.0%2Brepack

=== requirements.txt ===
six==1.1.0
tox==1.4
Sphinx==1.1.3
python-dateutil==2.1
nose==1.3.0
mock==1.0.1
-e git://github.com/boto/jmespath.git@develop#egg=jmespath

=== debian/control ===
Source: python-botocore
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 9)
	, python-all
	, python-setuptools
	, python3-all
	, python3-setuptools
Standards-Version: 3.9.5
Homepage: https://github.com/boto/botocore
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/python-botocore/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/python-botocore/trunk/

Package: python-botocore
Architecture: all
Depends: ${python:Depends}, python-requests, ${misc:Depends}
Description: Low-level, data-driven core of boto 3 (Python 2)
 A low-level interface to a growing number of Amazon Web Services.
 The botocore package is the foundation for AWS-CLI.
 .
 This package contains the module for Python 2.

Package: python3-botocore
Architecture: all
Depends: ${python3:Depends}, python3-requests, ${misc:Depends}
Description: Low-level, data-driven core of boto 3 (Python 3)
 A low-level interface to a growing number of Amazon Web Services.
 The botocore package is the foundation for AWS-CLI.
 .
 This package contains the module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_DESTDIR_python2=debian/python-botocore/
export PYBUILD_DESTDIR_python3=debian/python3-botocore/

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-botocore 0.29.0+repack

=== debian/changelog ===
python-botocore (0.29.0+repack-2) unstable; urgency=medium

  * debian/watch: Add debian version mangle. 
  * debian/control: Add python-requests to Depends. (Closes: #734382)

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 04 Feb 2014 18:28:43 +0900

python-botocore (0.29.0+repack-1) unstable; urgency=medium

  * Remove duplicated code from upstream tarball.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 05 Jan 2014 23:02:56 +0900

python-botocore (0.29.0-1) unstable; urgency=low

  * Initial release (Closes: #733214)

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 27 Dec 2013 16:45:14 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-botocore
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends: debhelper (>= 9)
 	, python-all

## python-botocore 0.55.0

=== debian/changelog ===
python-botocore (0.55.0-1) unstable; urgency=medium

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 06 Jul 2014 17:52:40 +0900

python-botocore (0.52.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: use Files-Excluded to remove duplicate code.
  * debian/rules: revice python3 building.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 22 Jun 2014 19:39:36 +0900

## python-botocore 0.62.0

=== debian/changelog ===
python-botocore (0.62.0-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: refresh 

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 04 Sep 2014 11:59:09 +0900

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=botocore

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-botocore 0.81.0

=== debian/changelog ===
python-botocore (0.81.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patch. (Closes: #769685)

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 13 Jan 2015 23:06:39 +0900

python-botocore (0.69.0-1) unstable; urgency=medium

  * New upstream release
  * debian/pathces: refresh
  * Bump Standards-Version to 3.9.6 (no changes).
  * Add dh-python to B-D.

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 05 Nov 2014 10:04:37 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
 	, python-setuptools
 	, python3-all
 	, python3-setuptools
-Standards-Version: 3.9.5
+	, dh-python
+Standards-Version: 3.9.6
 Homepage: https://github.com/boto/botocore
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/python-botocore/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/python-botocore/trunk/

## python-botocore 1.3.23

=== requirements.txt ===
tox==1.4
python-dateutil>=2.1,<3.0.0
nose==1.3.0
mock==1.3.0
wheel==0.24.0
docutils>=0.10
behave==1.2.5
-e git://github.com/boto/jmespath.git@develop#egg=jmespath

=== debian/changelog ===
python-botocore (1.3.23-1) unstable; urgency=medium

  * Import python-botocore_1.3.23.orig.tar.gz (Closes: #798015)
  * debian/patches: Fix improt package path. (Closes: #806761)
  * debian/copyright: Change to Apache-2.0. (Closes: #812317)

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 02 Feb 2016 18:05:47 +0900

python-botocore (1.3.9-1) unstable; urgency=medium

  * new upstream version
  * Refresh debian patche.
  * debian/control: Add python-mock to B-D.
  * debian/rules: Skipt test. (It requires AWS credential(?).)
  * debian/watch: Replace pypi.debian.net.

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 25 Nov 2015 00:14:28 +0900

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,13 @@
 	, python-setuptools
 	, python3-all
 	, python3-setuptools
+	, python-mock
+	, python3-mock
 	, dh-python
 Standards-Version: 3.9.6
 Homepage: https://github.com/boto/botocore
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/python-botocore/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/python-botocore/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-botocore.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-botocore.git
 
 Package: python-botocore
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
+
+override_dh_auto_test:
+

=== debian/watch ===
version=3
opts=dversionmangle=s/\+repack// \
http://pypi.debian.net/botocore/botocore-(.*).tar.gz

## python-botocore 1.4.70

=== debian/changelog ===
python-botocore (1.4.70-1~16.10.0) yakkety; urgency=medium

  * No-change backport to Yakkety: required for awscli (1.11.13) (LP: #1642730)

 -- Kamal Mostafa <kamal@canonical.com>  Tue, 22 Nov 2016 14:29:14 -0800

python-botocore (1.4.70-1) unstable; urgency=medium

  * New upstream version 1.4.70
  * debian/patches: Refresh patches.

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 10 Nov 2016 11:34:51 +0900

python-botocore (1.4.64-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ TANIGUCHI Takaki ]
  * New upstream version 1.4.64

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 20 Oct 2016 16:19:16 +0900

python-botocore (1.4.60-1) unstable; urgency=medium

  * New upstream release (Closes: #833014)
  * Bump Standards-Version to 3.9.8 (no changes).

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 11 Oct 2016 10:11:03 +0900

=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,9 @@
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
 
+override_dh_fixperms:
+	dh_fixperms
+	chmod -x $(CURDIR)/debian/python*-botocore/usr/lib/python*/dist-packages/botocore/data/*/*/*.json
+
 override_dh_auto_test:
-
+	true

## python-botocore 1.5.7

=== debian/changelog ===
python-botocore (1.5.7-1) unstable; urgency=medium

  * New upstream version 1.5.7

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 02 Feb 2017 17:37:30 +0900

## python-botocore 1.6.6

=== debian/changelog ===
python-botocore (1.6.6-1) unstable; urgency=medium

  * New upstream version 1.6.6
  * debian/patches: Add ssl_context patch (Closes: #854382)

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 24 Aug 2017 11:46:29 +0900

python-botocore (1.5.84-1) unstable; urgency=medium

  * New upstream version 1.5.84

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 19 Jul 2017 18:47:08 +0900

python-botocore (1.5.80-1) unstable; urgency=medium

  * New upstream version 1.5.80
  * debian/compat: Bump to 10

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 10 Jul 2017 16:41:24 +0900

python-botocore (1.5.78-1) unstable; urgency=medium

  * New upstream version 1.5.78

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 04 Jul 2017 15:36:40 +0900

python-botocore (1.5.75-2) unstable; urgency=medium

  * debian/patches: Fix errors. (Closes: #866163)

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 28 Jun 2017 11:19:03 +0900

python-botocore (1.5.75-1) unstable; urgency=medium

  * New upstream version 1.5.75
  * Bump Standards-Version to 4.0.0 (without changes)
  * debian/patches: refresh patches

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 27 Jun 2017 19:01:59 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 10)
 	, python-all
 	, python-setuptools
 	, python3-all
@@ -11,9 +11,9 @@
 	, python-mock
 	, python3-mock
 	, dh-python
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Homepage: https://github.com/boto/botocore
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-botocore.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-botocore.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-botocore.git
 
 Package: python-botocore

## python-botocore 1.8.48%2Brepack

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/botocore.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/botocore.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/botocore"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/botocore"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-botocore 1.8.48+repack

=== requirements.txt ===
tox>=2.5.0,<3.0.0
python-dateutil>=2.1,<3.0.0
nose==1.3.0
mock==1.3.0
wheel==0.24.0
docutils>=0.10
behave==1.2.5
-e git://github.com/boto/jmespath.git@develop#egg=jmespath
jsonschema==2.5.1

=== debian/changelog ===
python-botocore (1.8.48+repack-1) unstable; urgency=medium

  * New upstream version 1.8.48+repack

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 22 Feb 2018 17:46:12 +0900

python-botocore (1.8.40+repack-1) unstable; urgency=medium

  * New upstream version 1.8.40+repack
  * Migrate Vcs-* to salsa.debian.org.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 11 Feb 2018 17:58:05 +0900

python-botocore (1.8.36+repack-1) unstable; urgency=medium

  * New upstream version 1.8.36+repack
  * debian/compat: 11

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 03 Feb 2018 18:39:19 +0900

python-botocore (1.8.28+repack-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.1.3

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 20 Jan 2018 17:11:12 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 10)
+Build-Depends: debhelper (>= 11)
 	, python-all
 	, python-setuptools
 	, python3-all
@@ -11,10 +11,10 @@
 	, python-mock
 	, python3-mock
 	, dh-python
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://github.com/boto/botocore
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-botocore.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-botocore.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-botocore.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-botocore
 
 Package: python-botocore
 Architecture: all

=== debian/watch ===
version=3
opts="repacksuffix=+repack,dversionmangle=s/\+repack//g,repack,compression=xz" \
http://pypi.debian.net/botocore/botocore-(.*).tar.gz

## python-botocore 1.12.16+repack

=== debian/changelog ===
python-botocore (1.12.16+repack-1) unstable; urgency=medium

  * New upstream version 1.12.16+repack
  * debian/patches: Refresh patch files.
  * Bump Stanrads-Version to 4.2.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 04 Oct 2018 17:45:35 +0900

python-botocore (1.10.78+repack-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ TANIGUCHI Takaki ]
  * New upstream version 1.10.78+repack
  * Bump Stanrads-Version to 4.2.0.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 16 Aug 2018 15:04:16 +0900

python-botocore (1.10.55+repack-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Bump required version of python-requests to 2.7.0
    (Thanks to Jan Kriho for report)

  [ Alexander Gerasiov ]
  * New upstream version 1.10.55+repack
  * d/patches: Refreshed.

 -- Alexander Gerasiov <gerasiov@yandex-team.ru>  Wed, 11 Jul 2018 09:31:43 +0300

python-botocore (1.10.15+repack-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces

  [ TANIGUCHI Takaki ]
  * New upstream version 1.10.15+repack

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 08 May 2018 11:04:31 +0900

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
 	, python-mock
 	, python3-mock
 	, dh-python
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://github.com/boto/botocore
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-botocore.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-botocore
 
 Package: python-botocore
 Architecture: all
-Depends: ${python:Depends}, python-requests, ${misc:Depends}
+Depends: ${python:Depends}, python-requests (>= 2.7.0), ${misc:Depends}
 Description: Low-level, data-driven core of boto 3 (Python 2)
  A low-level interface to a growing number of Amazon Web Services.
  The botocore package is the foundation for AWS-CLI.

## python-botocore 1.12.71+repack

=== debian/changelog ===
python-botocore (1.12.71+repack-1) unstable; urgency=medium

  * New upstream version 1.12.71+repack
  * Bump Stanrads-Version to 4.3.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 28 Dec 2018 16:08:55 +0900

python-botocore (1.12.53+repack-1) unstable; urgency=medium

  * New upstream version 1.12.53+repack
  * debian/patches/*: Refresh patches.

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 28 Nov 2018 18:51:54 +0900

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	, python-mock
 	, python3-mock
 	, dh-python
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/boto/botocore
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-botocore.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-botocore

## python-botocore 1.12.103+repack

=== requirements.txt ===
tox>=2.5.0,<3.0.0
python-dateutil>=2.1,<2.7.0; python_version=="2.6"
python-dateutil>=2.1,<3.0.0; python_version>="2.7"
nose==1.3.7
mock==1.3.0
wheel==0.24.0
docutils>=0.10
behave==1.2.5
-e git://github.com/boto/jmespath.git@develop#egg=jmespath
jsonschema==2.5.1
urllib3>=1.20,<1.23; python_version=="3.3"
urllib3>=1.20,<1.24; python_version=="2.6"
urllib3>=1.20,<1.25; python_version=="2.7"
urllib3>=1.20,<1.25; python_version>="3.4"

=== debian/changelog ===
python-botocore (1.12.103+repack-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:46:50 +0800

python-botocore (1.12.103+repack-1) unstable; urgency=medium

  * New upstream version 1.12.103+repack

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 27 Feb 2019 16:32:50 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper (>= 12)
 	, python-all
 	, python-setuptools
 	, python3-all

## python-botocore 1.12.208+repack

=== requirements.txt ===
tox>=2.5.0,<3.0.0
nose==1.3.7
mock==1.3.0
wheel==0.24.0
docutils>=0.10,<0.15
behave==1.2.5
jsonschema==2.5.1

=== debian/changelog ===
python-botocore (1.12.208+repack-1) unstable; urgency=medium

  * New upstream version 1.12.208+repack

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 15 Aug 2019 17:36:19 +0900

python-botocore (1.12.200+repack-1) unstable; urgency=medium

  * New upstream version 1.12.200+repack
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 04 Aug 2019 00:51:02 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 12)
+Build-Depends: debhelper-compat (= 12)
 	, python-all
 	, python-setuptools
 	, python3-all
@@ -11,7 +11,7 @@
 	, python-mock
 	, python3-mock
 	, dh-python
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/boto/botocore
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-botocore.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-botocore

## python-botocore 1.14.14%2Brepack

=== debian/changelog ===
python-botocore (1.14.14+repack-1) unstable; urgency=medium

  * New upstream version 1.14.14+repack
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Bump Standards-Version to 4.5.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 12 Feb 2020 10:44:30 +0900

python-botocore (1.13.37+repack-1) unstable; urgency=medium

  * Set upstream metadata fields: Repository, Repository-Browse.
  * New upstream version 1.13.37+repack

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 12 Dec 2019 18:27:46 +0900

python-botocore (1.13.19+repack-1) unstable; urgency=medium

  * New upstream version 1.13.19+repack

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 18 Nov 2019 17:55:48 +0900

python-botocore (1.12.241+repack-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/changelog: Remove trailing whitespaces.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937619

 -- Sandro Tosi <morph@debian.org>  Sat, 26 Oct 2019 20:43:46 -0400

python-botocore (1.12.241+repack-1) unstable; urgency=medium

  * New upstream version 1.12.241+repack
  * Set upstream metadata fields: Repository.
  * Add debian/salsa-ci.yml.

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 03 Oct 2019 20:20:03 +0900

## python-botocore 1.14.14+repack

=== debian/control ===
Source: python-botocore
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper-compat (= 12)
	, python3-all
	, python3-setuptools
	, python3-mock
	, dh-python
Standards-Version: 4.5.0
Homepage: https://github.com/boto/botocore
Vcs-Git: https://salsa.debian.org/python-team/modules/python-botocore.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-botocore

Package: python3-botocore
Architecture: all
Depends: ${python3:Depends}, python3-requests, ${misc:Depends}
Description: Low-level, data-driven core of boto 3 (Python 3)
 A low-level interface to a growing number of Amazon Web Services.
 The botocore package is the foundation for AWS-CLI.
 .
 This package contains the module for Python 3.

## python-botocore 1.16.19%2Brepack

=== requirements.txt ===
tox>=2.5.0,<3.0.0
nose==1.3.7
mock==1.3.0
wheel==0.24.0
docutils>=0.10,<0.16
behave==1.2.5
jsonschema==2.5.1

=== debian/changelog ===
python-botocore (1.16.19+repack-1ubuntu0.20.04.1) focal; urgency=medium

  * SRU the latest package version to 20.04 (LP: #1875485). 

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 17 Jun 2020 02:27:41 +0200

python-botocore (1.16.19+repack-1) unstable; urgency=medium

  * New upstream version 1.16.19+repack

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 30 May 2020 19:51:09 +0900

python-botocore (1.15.46+repack-1) unstable; urgency=medium

  * New upstream version 1.15.46+repack

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 25 Apr 2020 13:13:19 +0900

python-botocore (1.15.26+repack-1) unstable; urgency=medium

  * New upstream version 1.15.26+repack

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 22 Mar 2020 21:15:56 +0900

python-botocore (1.15.21+repack-1) unstable; urgency=medium

  * New upstream version 1.15.21+repack
  * Refresh patch 0001-Don-t-use-duplicated-modules.patch

 -- Noah Meyerhans <noahm@debian.org>  Mon, 16 Mar 2020 17:17:57 -0700

## python-botocore 1.16.19+repack

=== debian/changelog ===
python-botocore (1.16.19+repack-1ubuntu0.18.04.1~cloud0) xenial-queens; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 29 Jun 2020 12:55:41 +0000

python-botocore (1.16.19+repack-1ubuntu0.18.04.1) bionic; urgency=medium

  * SRU the latest package version to 18.04 (LP: #1875485).
  * debian/control: adjust debhelper requirements to the one in bionic.
  * debian/control: re-add the python-botocore py2 package.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 17 Jun 2020 02:17:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,30 @@
 Source: python-botocore
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper (>= 11)
+	, python-all
+	, python-setuptools
 	, python3-all
 	, python3-setuptools
+	, python-mock
 	, python3-mock
 	, dh-python
-Standards-Version: 4.5.0
+Standards-Version: 4.1.3
 Homepage: https://github.com/boto/botocore
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-botocore.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-botocore
+
+Package: python-botocore
+Architecture: all
+Depends: ${python:Depends}, python-requests (>= 2.7.0), ${misc:Depends}
+Description: Low-level, data-driven core of boto 3 (Python 2)
+ A low-level interface to a growing number of Amazon Web Services.
+ The botocore package is the foundation for AWS-CLI.
+ .
+ This package contains the module for Python 2.
 
 Package: python3-botocore
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=botocore
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_fixperms:
	dh_fixperms
	chmod -x $(CURDIR)/debian/python*-botocore/usr/lib/python*/dist-packages/botocore/data/*/*/*.json

## python-botocore 1.17.22+repack

=== debian/changelog ===
python-botocore (1.17.22+repack-1) unstable; urgency=medium

  * New upstream version (Closes: #965092)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 16 Jul 2020 14:52:31 -0700

python-botocore (1.17.9+repack-1) unstable; urgency=medium

  * New upstream version 1.17.9+repack
  * Change Maintainer to Debian Cloud Team as discussed at
    https://lists.debian.org/debian-cloud/2020/06/msg00078.html and add myself
    to Uploaders

 -- Noah Meyerhans <noahm@debian.org>  Tue, 23 Jun 2020 17:24:40 -0700

=== debian/control ===
Source: python-botocore
Section: python
Priority: optional
Maintainer: Debian Cloud Team <debian-cloud@lists.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
           Noah Meyerhans <noahm@debian.org>
Build-Depends: debhelper-compat (= 12)
	, python3-all
	, python3-setuptools
	, python3-mock
	, dh-python
Standards-Version: 4.5.0
Homepage: https://github.com/boto/botocore
Vcs-Git: https://salsa.debian.org/python-team/modules/python-botocore.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-botocore

Package: python3-botocore
Architecture: all
Depends: ${python3:Depends}, python3-requests, ${misc:Depends}
Description: Low-level, data-driven core of boto 3 (Python 3)
 A low-level interface to a growing number of Amazon Web Services.
 The botocore package is the foundation for AWS-CLI.
 .
 This package contains the module for Python 3.

## python-botocore 1.20.0+repack

=== debian/changelog ===
python-botocore (1.20.0+repack-1) unstable; urgency=medium

  * strip shortbreadv1.js from upstream source
  * New upstream version 1.20.0+repack

 -- Noah Meyerhans <noahm@debian.org>  Tue, 02 Feb 2021 14:51:44 -0800

python-botocore (1.19.63+repack-1) unstable; urgency=medium

  * New upstream version 1.19.59+repack
  * Note Breaks relationship with older awscli packages due to upstream
    refactor in which a component previously included in botocore was
    moved to awscli

 -- Noah Meyerhans <noahm@debian.org>  Sat, 30 Jan 2021 10:18:35 -0800

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 Package: python3-botocore
 Architecture: all
 Depends: ${python3:Depends}, python3-requests, ${misc:Depends}
+Breaks: awscli (<< 1.18.140)
 Description: Low-level, data-driven core of boto 3 (Python 3)
  A low-level interface to a growing number of Amazon Web Services.
  The botocore package is the foundation for AWS-CLI.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_fixperms:
 	dh_fixperms

## python-botocore 1.22.9+repack

=== debian/changelog ===
python-botocore (1.22.9+repack-1) unstable; urgency=medium

  * New upstream version 1.22.9+repack
  * Fix python build dependency (Closes: 998397)
  * Refresh patch 0001-Don-t-use-duplicated-modules.patch

 -- Noah Meyerhans <noahm@debian.org>  Wed, 03 Nov 2021 10:21:57 -0700

python-botocore (1.21.53+repack-1) unstable; urgency=medium

  * New upstream version 1.21.53+repack
  * Refresh debian/patches/0001-Don-t-use-duplicated-modules.patch
  * Refresh python3 build-deps per lintian
  * Install NOTICE file

 -- Noah Meyerhans <noahm@debian.org>  Mon, 04 Oct 2021 10:01:37 -0700

python-botocore (1.21.46+repack-1) unstable; urgency=medium

  * d/control: Update vcs links
  * New upstream version 1.21.46+repack
  * Bump standards version to 4.6.0
  * refresh patches

 -- Noah Meyerhans <noahm@debian.org>  Wed, 22 Sep 2021 14:05:55 -0700

python-botocore (1.21.23+repack-1) unstable; urgency=medium

  * New upstream version 1.21.23+repack
  * Refresh patches

 -- Noah Meyerhans <noahm@debian.org>  Wed, 18 Aug 2021 09:26:06 -0700

## python-botocore 1.23.34%2Brepack

=== debian/changelog ===
python-botocore (1.23.34+repack-1) unstable; urgency=medium

  * New upstream version 1.23.34+repack

 -- Noah Meyerhans <noahm@debian.org>  Wed, 12 Jan 2022 14:46:49 -0800

## python-botocore 1.23.34+repack

=== debian/watch ===
version=3
opts="repacksuffix=+repack,dversionmangle=s/\+repack//g,repack,compression=xz" \
https://pypi.debian.net/botocore/botocore-(.*).tar.gz

## python-botocore 1.26.8+repack

=== debian/changelog ===
python-botocore (1.26.8+repack-1) unstable; urgency=medium

  * New upstream version 1.26.8+repack
  * Refresh patches

 -- Noah Meyerhans <noahm@debian.org>  Wed, 25 May 2022 16:51:30 -0700

## python-botocore 1.29.27+repack

=== debian/changelog ===
python-botocore (1.29.27+repack-1) unstable; urgency=medium

  * New upstream version 1.29.27+repack
  * Refresh patch 0001-Don-t-use-duplicated-modules.patch

 -- Noah Meyerhans <noahm@debian.org>  Mon, 12 Dec 2022 08:47:32 -0800

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
            Noah Meyerhans <noahm@debian.org>
 Build-Depends: debhelper-compat (= 12)
-	, python3-all
+	, python3-all:any
 	, python3-setuptools
 	, python3-mock
 	, dh-python
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/boto/botocore
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-botocore.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-botocore
+Vcs-Git: https://salsa.debian.org/cloud-team/python-botocore.git
+Vcs-Browser: https://salsa.debian.org/cloud-team/python-botocore
 
 Package: python3-botocore
 Architecture: all

## python-botocore 1.29.155+repack

=== debian/changelog ===
python-botocore (1.29.155+repack-1) unstable; urgency=medium

  * New upstream version 1.29.155+repack
  * Refresh patch strip-shortbread-js

 -- Noah Meyerhans <noahm@debian.org>  Sat, 17 Jun 2023 13:12:25 -0700

## python-botocore 1.34.46+repack

=== debian/changelog ===
python-botocore (1.34.46+repack-1ubuntu1) noble; urgency=medium

  * d/control: add build dependencies for unit testing and
    disable tests that require internet
  * d/rules: enable unit tests during build
  * d/control: add autopkgtest-pkg-pybuild

 -- Alberto Contreras <alberto.contreras@canonical.com>  Tue, 16 Apr 2024 15:49:10 +0200

python-botocore (1.34.46+repack-1) unstable; urgency=medium

  * New upstream version 1.34.46+repack

 -- Noah Meyerhans <noahm@debian.org>  Wed, 21 Feb 2024 10:33:25 -0800

python-botocore (1.34.18+repack-1) unstable; urgency=medium

  * New upstream version 1.34.18+repack
  * Add python3-six to Depends (Closes: #1060421)
  * Update standards version to 4.6.2 (no changes)

 -- Noah Meyerhans <noahm@debian.org>  Sat, 13 Jan 2024 10:57:36 -0800

python-botocore (1.31.49+repack-1) unstable; urgency=medium

  * New upstream version 1.31.49+repack
  * Update lintian overrides

 -- Noah Meyerhans <noahm@debian.org>  Sun, 17 Sep 2023 12:39:59 -0700

=== debian/control ===
Source: python-botocore
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Cloud Team <debian-cloud@lists.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
           Noah Meyerhans <noahm@debian.org>
Build-Depends: debhelper-compat (= 12)
	, python3-all:any
	, python3-setuptools
	, python3-mock
	, python3-dateutil
	, python3-jmespath
	, python3-pytest
	, python3-requests
	, dh-python
Standards-Version: 4.6.2
Homepage: https://github.com/boto/botocore
Vcs-Git: https://salsa.debian.org/cloud-team/python-botocore.git
Vcs-Browser: https://salsa.debian.org/cloud-team/python-botocore
Testsuite: autopkgtest-pkg-pybuild

Package: python3-botocore
Architecture: all
Depends: ${python3:Depends},
 python3-requests,
 python3-six,
 ${misc:Depends}
Breaks: awscli (<< 1.18.140)
Description: Low-level, data-driven core of boto 3 (Python 3)
 A low-level interface to a growing number of Amazon Web Services.
 The botocore package is the foundation for AWS-CLI.
 .
 This package contains the module for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,28 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=botocore
-export PYBUILD_DISABLE=test
+export PYBUILD_TEST_ARGS={dir}/tests/unit \
+	--deselect tests/unit/test_credentials.py::TestSSOCredentialFetcher::test_can_fetch_credentials \
+	--deselect tests/unit/test_credentials.py::TestSSOCredentialFetcher::test_raises_helpful_message_on_unauthorized_exception \
+	--deselect tests/unit/test_credentials.py::TestSSOProvider::test_load_sso_credentials_with_cache \
+	--deselect tests/unit/test_credentials.py::TestSSOProvider::test_load_sso_credentials_with_cache_expired \
+	--deselect tests/unit/test_credentials.py::TestSSOProvider::test_load_sso_credentials_without_cache \
+	--deselect tests/unit/test_credentials.py::TestSSOProvider::test_required_config_not_set \
+	--deselect tests/unit/test_exceptions.py::TestPickleExceptions::test_dynamic_client_error \
+	--deselect tests/unit/test_signers.py::TestGenerateUrl::test_context_param_from_event_handler_sent_to_endpoint_resolver \
+	--deselect tests/unit/test_signers.py::TestGenerateUrl::test_generate_presign_url_emits_is_presign_in_context \
+	--deselect tests/unit/test_signers.py::TestGenerateUrl::test_generate_presigned_url \
+	--deselect tests/unit/test_signers.py::TestGenerateUrl::test_generate_presigned_url_emits_param_events \
+	--deselect tests/unit/test_signers.py::TestGenerateUrl::test_generate_presigned_url_expires \
+	--deselect tests/unit/test_signers.py::TestGenerateUrl::test_generate_presigned_url_missing_required_params \
+	--deselect tests/unit/test_signers.py::TestGenerateUrl::test_generate_presigned_url_override_http_method \
+	--deselect tests/unit/test_signers.py::TestGenerateUrl::test_generate_presigned_url_unknown_method_name \
+	--deselect tests/unit/test_signers.py::TestGenerateUrl::test_generate_presigned_url_with_query_string \
+	--deselect tests/unit/test_signers.py::TestGeneratePresignedPost::test_generate_presigned_post \
+	--deselect tests/unit/test_signers.py::TestGeneratePresignedPost::test_generate_presigned_post_expires \
+	--deselect tests/unit/test_signers.py::TestGeneratePresignedPost::test_generate_presigned_post_non_s3_client \
+	--deselect tests/unit/test_signers.py::TestGeneratePresignedPost::test_generate_presigned_post_with_filename \
+	--deselect tests/unit/test_signers.py::TestGeneratePresignedPost::test_generate_presigned_post_with_prefilled
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## python-botocore 1.35.92+repack

=== debian/changelog ===
python-botocore (1.35.92+repack-2) unstable; urgency=medium

  * Drop python3-mock from Build-Depends (Closes: #1068095)

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Fri, 10 Jan 2025 12:50:31 +0100

python-botocore (1.35.92+repack-1) unstable; urgency=medium

  * New upstream version 1.35.92+repack
  * Refresh patch strip-shortbread-js
  * Add myself to Uploaders

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Tue, 07 Jan 2025 10:20:56 +0100

=== debian/control ===
Source: python-botocore
Section: python
Priority: optional
Maintainer: Debian Cloud Team <debian-cloud@lists.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
           Noah Meyerhans <noahm@debian.org>,
           Thomas Bechtold <thomasbechtold@jpberlin.de>
Build-Depends: debhelper-compat (= 12)
	, python3-all:any
	, python3-setuptools
	, dh-python
Standards-Version: 4.6.2
Homepage: https://github.com/boto/botocore
Vcs-Git: https://salsa.debian.org/cloud-team/python-botocore.git
Vcs-Browser: https://salsa.debian.org/cloud-team/python-botocore

Package: python3-botocore
Architecture: all
Depends: ${python3:Depends},
 python3-requests,
 python3-six,
 ${misc:Depends}
Breaks: awscli (<< 1.18.140)
Description: Low-level, data-driven core of boto 3 (Python 3)
 A low-level interface to a growing number of Amazon Web Services.
 The botocore package is the foundation for AWS-CLI.
 .
 This package contains the module for Python 3.

## python-botocore 1.36.9+repack

=== debian/changelog ===
python-botocore (1.36.9+repack-1) unstable; urgency=medium

  * New upstream version 1.36.9+repack
  * d/copyright: drop docs/source/_static/shortbreadv1.js from Files-Excluded
  * d/patches: drop strip-shortbread-js. no longer required.
  * Enable tests during build and autopkgtests

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Thu, 30 Jan 2025 10:15:17 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=botocore
+
 export PYBUILD_TEST_ARGS={dir}/tests/unit \
 	--deselect tests/unit/test_credentials.py::TestSSOCredentialFetcher::test_can_fetch_credentials \
 	--deselect tests/unit/test_credentials.py::TestSSOCredentialFetcher::test_raises_helpful_message_on_unauthorized_exception \

## python-botocore 1.36.22+repack

=== debian/changelog ===
python-botocore (1.36.22+repack-1) unstable; urgency=medium

  * New upstream version 1.36.22+repack

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Tue, 18 Feb 2025 08:29:50 +0100

## python-botocore 1.37.9%2Brepack

=== debian/changelog ===
python-botocore (1.37.9+repack-1) unstable; urgency=medium

  * New upstream version 1.37.9+repack
  * debian/rules: skip TestSSOProvider::test_load_sso_credentials_with_account_id

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Mon, 10 Mar 2025 16:57:12 +0100

## python-botocore 1.37.9+repack

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,17 @@
 Build-Depends: debhelper-compat (= 12)
 	, python3-all:any
 	, python3-setuptools
+        , python3-dateutil <!nocheck>
+        , python3-jmespath <!nocheck>
+        , python3-pytest <!nocheck>
+        , python3-requests <!nocheck>
+        , python3-six <!nocheck>
 	, dh-python
 Standards-Version: 4.6.2
 Homepage: https://github.com/boto/botocore
 Vcs-Git: https://salsa.debian.org/cloud-team/python-botocore.git
 Vcs-Browser: https://salsa.debian.org/cloud-team/python-botocore
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-botocore
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	--deselect tests/unit/test_credentials.py::TestSSOProvider::test_load_sso_credentials_with_cache_expired \
 	--deselect tests/unit/test_credentials.py::TestSSOProvider::test_load_sso_credentials_without_cache \
 	--deselect tests/unit/test_credentials.py::TestSSOProvider::test_required_config_not_set \
+        --deselect tests/unit/test_credentials.py::TestSSOProvider::test_load_sso_credentials_with_account_id \
 	--deselect tests/unit/test_exceptions.py::TestPickleExceptions::test_dynamic_client_error \
 	--deselect tests/unit/test_signers.py::TestGenerateUrl::test_context_param_from_event_handler_sent_to_endpoint_resolver \
 	--deselect tests/unit/test_signers.py::TestGenerateUrl::test_generate_presign_url_emits_is_presign_in_context \

## python-botocore 1.40.68%2Brepack

=== debian/changelog ===
python-botocore (1.40.68+repack-1) unstable; urgency=medium

  * New upstream version 1.40.68+repack
  * Refresh debian/patches
  * debian/rules: skip 2 more failing TestSSOCredentialFetcher tests

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Fri, 07 Nov 2025 09:53:28 +0100

## python-botocore 1.40.68+repack

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 export PYBUILD_TEST_ARGS={dir}/tests/unit \
 	--deselect tests/unit/test_credentials.py::TestSSOCredentialFetcher::test_can_fetch_credentials \
 	--deselect tests/unit/test_credentials.py::TestSSOCredentialFetcher::test_raises_helpful_message_on_unauthorized_exception \
+	--deselect tests/unit/test_credentials.py::TestSSOCredentialFetcher::test_expired_legacy_token_has_expected_behavior \
+	--deselect tests/unit/test_credentials.py::TestSSOCredentialFetcher::test_feature_ids_registered_during_get_credentials \
 	--deselect tests/unit/test_credentials.py::TestSSOProvider::test_load_sso_credentials_with_cache \
 	--deselect tests/unit/test_credentials.py::TestSSOProvider::test_load_sso_credentials_with_cache_expired \
 	--deselect tests/unit/test_credentials.py::TestSSOProvider::test_load_sso_credentials_without_cache \

## python-botocore 1.40.72+repack

=== debian/changelog ===
python-botocore (1.40.72+repack-1) unstable; urgency=medium

  * New upstream version 1.40.72+repack
  * d/control: add missing python3-dateutil and python3-jmespath Depends

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Thu, 13 Nov 2025 09:18:24 +0100

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,8 @@
 Depends: ${python3:Depends},
  python3-requests,
  python3-six,
+ python3-dateutil (>= 2.1),
+ python3-jmespath (>= 0.7.1),
  ${misc:Depends}
 Breaks: awscli (<< 1.18.140)
 Description: Low-level, data-driven core of boto 3 (Python 3)
